%global collection_namespace community
%global collection_name docker
%global forgeurl https://github.com/ansible-collections/%{collection_namespace}.%{collection_name}

# Only run tests where %%generate_buildrequires and test deps are available.
%if %{defined fedora}
%bcond_without tests
%else
%bcond_with tests
%endif


Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        2.7.1
%global tag     %{version}
%forgemeta
Release:        1%{?dist}
Summary:        Ansible modules and plugins for working with Docker

# All files are GPL-3.0-or-later except plugins/module_utils/_version.py.
License:        GPL-3.0-or-later and Python
URL:            %{ansible_collection_url}
Source0:        %{forgesource}
Source1:        %{name}.rpmlintrc
# Downstream only patch to remove tests, CI configuration, and other
# unnecessary development files from the built collection.
Patch0:         build_ignore-unnecessary-files.patch
Patch1:         https://github.com/ansible-collections/community.docker/pull/433.patch#/remove-python-mock.patch

BuildArch:      noarch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
BuildRequires:  %{py3_dist docker}
%endif


%description
%{name} provides the %{collection_namespace}.%{collection_name}
Ansible collection. The collection includes Ansible modules and plugins for
working with Docker.


%prep
%forgeautosetup -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +


%build
%ansible_collection_build


%install
%ansible_collection_install


%check
%if %{with tests}
%ansible_test_unit
%endif


%files
%license COPYING PSF-license.txt
%doc README.md CHANGELOG.rst
%{ansible_collection_files}


%changelog
* Fri Aug 19 2022 Maxwell G <gotmax@e.email> - 2.7.1-1
- Update to 2.7.1.

* Wed May 25 2022 Maxwell G <gotmax@e.email> - 2.6.0-1
- Update to 2.6.0. Fixes rhbz#2089991.

* Mon May 16 2022 Maxwell G <gotmax@e.email> - 2.5.1-1
- Update to 2.5.1. Fixes rhbz#2086832.
- Change license from `GPLv3+` > `GPLv3+ and Python`

* Sat May 14 2022 Maxwell G <gotmax@e.email> - 2.5.0-1
- Update to 2.5.0. Fixes rhbz#2086185.
- Run unit tests.
- Rebuild for new ansible-packaging.

* Mon Apr 25 2022 Maxwell G <gotmax@e.email> - 2.4.0-1
- Update to 2.4.0.

* Wed Apr 06 2022 Maxwell G <gotmax@e.email> - 2.3.0-1
- Preform initial import (rhbz#2028702).

* Fri Apr 01 2022 Maxwell G <gotmax@e.email> - 2.3.0-0
- Update to 2.3.0.

* Mon Feb 21 2022 Maxwell G <gotmax@e.email> - 2.2.0-1
- Update to 2.2.0. Fix shebangs. Switch to ansible-packaging.

* Thu Dec 16 2021 Maxwell G <gotmax@e.email> - 2.0.2-1
- Update to 2.0.2.

* Thu Dec 02 2021 Maxwell G <gotmax@e.email> - 2.0.1-1
- Initial package
